@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
}
/* Custom Scroll Bar CSS */
::-webkit-scrollbar{
    width: 10px;
}
::-webkit-scrollbar-track{
    background: #f1f1f1;
}
::-webkit-scrollbar-thumb{
    background: #026d6e;
    border-radius: 12px;
}
::-webkit-scrollbar-thumb:hover{
    background: #005758;
    border-radius: 12px;
}
/* Navigation Menu CSS */
nav{
    position: fixed;
    width: 100%;
    padding: 20px 0;
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.4s ease;
    z-index: 998;
}
nav.sticky{
    padding: 13px 0;
    background:#005758;
}
nav .navbar{
    display: flex;
    align-items : center;
    justify-content: space-between;
    width: 90%;
    margin: auto;
}
nav .navbar .logo a{
    font-size: 40px;
    font-weight: 500;
    color: #fff;
} 
nav.sticky .navbar .logo a{
    color: #fff;
}
nav .navbar .menu{
    display: flex;
}
nav .navbar .menu li{
    margin: 0 8px;
    list-style: none;
}
.navbar .menu li a{
    font-size: 18px;
    font-weight: 500;
    color: #f8fcfb;
    transition: all 0.3s ease;
}
.navbar .menu li a:hover{
    color: #005758;
}
nav.sticky .navbar .menu li a{
    color: #fff;
    transition: all 0.3s ease;
}
nav.sticky .navbar .menu li a:hover{
    color: #0E2431;
} 
.navbar .media-icons a{
    font-size: 18px;
    margin: 0 6px;
    color: #f8fcfb;
}
nav.sticky .navbar .media-icons a{
    color: #fff;
}
/* Side Navigation Menu Button CSS */
nav .menu-btn,
.navbar .cancel-btn{
    position: absolute;
    color: #fff;
    font-size: 20px;
    right: 30px;
    top: 20px;
    display: none;
    cursor: pointer;
}
nav .menu-btn{
    color: #005758;
}
nav.sticky .menu-btn{
    color: #fff;
}
/* Home Section CSS */
.home{
    height: 100vh;
    width: 100%;
    background: url("images/4182a9dd330c6442c4a1fbc78274d838.png") no-repeat;
    background-position: 35%;
    background-size: auto;
    background-attachment: fixed;
    font-family: 'Ubuntu', sans-serif;
}
.home .home-content{
    height: 100%;
    width: 90%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;

}
.home .text .text-one{
    font-size: 25px;
    color: #fff;
}
.home .text .text-two{
    font-size: 75px;
    font-weight: 600;
    margin-left: -3px;
    color: #fff;
}
.home .text .text-three{
    font-size: 40px;
    color: #fff;
}
.home .text .text-four{
    font-size: 23px;
    margin: 5px 0;
    color: #fff;
}
.home .button{
    margin: 14px 0;
}
.home .home-content a{
    display: inline-block;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    font-size: 25px;
    font-weight: 500;
    margin-top: 20px;
    padding: 10px 30px;
    background: #005758;
    border: 2px solid transparent;
    border-radius: 6px;
    transition: all 0.4s ease;
}
.home .home-content a:hover{
    color: #005758;
    background-color: #fff;
    border-color: #005758;
}
/* About Section CSS */
section{
    padding-top: 40px;
}
section .content{
    width: 80%;
    margin: 40px auto;
    font-family: 'Poppins', sans-serif;
}
section .title{
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
}
section .title span{
    font-size: 30px;
    font-weight: 600; 
    position: relative;
}
section .title span::before,
section .title span::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 100%;
    background: #005758;
}
section .title span::after{
    width: 70%;
    left: 50%;
    transform: translateX(-50%);
    bottom: -7px;
}
.about .about-details{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.about .about-details .right{
    width: 45%;
}
.about .about-details .right img{
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 12px;
}
.about .about-details .left{
    width: 55%;
}
section .topic{
    font-size: 25px;
    font-weight: 500;
    color: #0E2431;
    margin-bottom: 10px;
}
.about-details .left p{
    color: #0E2431;
    text-align: justify;
}
.about-details .left a{
    display: inline-block;
    background: #005758;
    color: #fff;
    font-size:20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid transparent;
    transition: all 0.4s ease;
}
.about-details .left a:hover{
    background-color: #fff;
    color: #005758;
    border-color: #005758;
    
}

section .button{
    margin: 14px 0;
}
section .button button{
    outline: none;
    color: #fff;
    font-size: 25px;
    font-weight: 500;
    padding: 8px 16px;
    background: #005758;
    border: 2px solid transparent;
    border-radius: 5px;
    transition: all 0.4s ease;
}
section .button button:hover{
    color: #005758;
    background-color: #fff;
    border-color: #005758;
}

.skills{
    background: #f0f8ff;
}
.skills .content{
    padding: 40px 0;
}
.skills .skills-details{
    margin-top: 12%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.skills .skills-details .boxes .box{
    border: 2px solid transparent;
    background: #005758;
    color: #fff;
    font-size:18px;
    font-weight: 500;
    border-radius: 6px;
    padding: 10px 30px;
    margin-top: 20px;
    margin-top: 1px;
    transition: all 0.4s ease;
}
.skills .skills-details .boxes .box:hover{
    background: #fff;
    color: #005758;
    border-color: #005758;
}

/* Project CSS  */
.project .boxes{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.project .boxes .box{
    width: calc(100% / 2 - 20px);
    margin: 20px 0;
    border-radius: 12px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.15);
    padding: 20px 10px;
    text-align: center;
    transition: all 0.4 ease;
}
.project .boxes .box:hover{
    background: #005758;
    color: #fff;
}
.project .boxes .box .icon{
    height: 50px;
    width: 50px;
    color: #fff;
    background: #05696b;
    border-radius: 50%;
    text-align: center;
    line-height: 50px;
    margin: 0 auto 10px auto ;
    transition: all 0.4 ease;
}
.project .boxes .box:hover .icon{
    background: #fff;
    color: #005758;
}
.project .boxes .box:hover .topic{
    color: #fff;
}
.project .boxes .box a{
    display: inline-block;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    font-weight: 600;
    margin-top: 20px;
    padding: 10px 30px;
    background: #005758;
    border: 2px solid transparent;
    border-radius: 6px;
    transition: all 0.4s ease;
}
.project .boxes .box:hover a{
    background: #fff;
    color: #005758;
}

/* Contact Me Css  */
.contact{
    background: #f0f8ff;
}
/* .contact .text{
    text-align: center;
    margin: auto;
    width: 80%;
} */
.contact{
    font-family: 'Poppins', sans-serif;
}
.contact .contact-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
.contact .contact-content .column
{
    width: calc(50% - 30px);
}
.contact .contact-content .text{
    font-size: 20px;
    font-weight: 600px;
    margin-bottom: 10px;
}
.contact .contact-content .left p{
    text-align: justify;
} 
.contact .contact-content .left .icons{
    margin: 10px 0;
}
.contact .contact-content .rows{
    display: flex;
    height: 65px;
    align-items: center;
}
.contact .contact-content .rows .info{
    margin-left: 30px;
}
.contact .contact-content .rows i{
    font-size: 25px;
    color: #0E2431;
}
.contact .contact-content .info .head{
    font-weight: 500;
}
.contact .contact-content .info .sub-title{
    color: #333;
}
.contact .right form .fields{
    display: flex;
}
.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}
.contact .right form .textarea{
    height: 80px;
}
.contact .right form .name{
    margin-right: 10px;
}
.contact .right form .email{
    margin-left: 10px;
}
.contact .right form .field input,
.contact .right form .textarea textarea{
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 6px;
    outline: none;
    padding: 0 15px;
    font-size: 17px;
    font-family: 'Poppins',sans-serif;
}
.contact .right form .textarea textarea{
    padding-top: 10px;
    resize: none;
}
.contact .right form .buttonn button{
    
    border: 2px solid transparent;
    background: #05696b;
    color: #fff;
    font-size:18px;
    font-weight: 500;
    border-radius: 6px;
    padding: 10px 30px;
    margin-top: 20px;
    margin-top: 1px;
    cursor: pointer;
    transition: all 0.4s ease;
}
.contact .right form .buttonn button:hover{
    color: #005758;
    background-color: #fff;
    border-color: #005758;
}
/* Footer CSS */
footer{
    background: #005758;
    text-align: center;
    padding: 15px 0;
    font-family: 'Poppins', sans-serif;
}
footer .text span{
    color: #fff;
    font-size: 15px;
    font-weight: 500;
}
footer .text span a{
    color: #fff;
    font-size: 16px;
    font-weight: 500;
}
footer .text span a:hover{
    text-decoration: underline;
}
/* Scroll-BTn CSS */
.scroll-btn i{
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 7px 12px;
    background: #005758;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.15);
}

/* Responsive Media Query Css */
@media (max-width: 1190px){
    .about .content{
        width: 85%;
    }
    .skills .content{
        width: 90%;
    }
    .project .content{
        width: 90%;
    }
}
@media (max-width: 1090px){
    .about .about-details{
        flex-direction: column;
    }
    .about .about-details .right{
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .about .about-details .left{
        width: 90%;
        margin: 40px 0;
    }
    .project .boxes .box{
        width: calc( 100% / 2 - 20px)
    }
    .contact .text{
        width: 90%;
    }
}
@media (max-width: 971px){
    .about .about-details .right img{
        height: 350px;
        width: 350px;
    }
}
@media (max-width: 750px){
    nav .navbar .menu{
        position: absolute;
        left: -100%;
        top: 0;
        height: 100vh;
        max-width: 400px;
        width: 100%;
        background: #0E2431;
        flex-direction: column;
        align-items: center;
        padding-top: 60px;
        transition: all 0.5s ease;
    }
    nav .navbar.active .menu{
        left: 0;
    }
    .navbar .menu li a{
        display: block;
        margin: 10px 0;
        font-size: 23px;
        color: #fff;
    }
    nav.sticky .navbar .menu li a:hover{
        color: #005758;
    }
    .navbar .media-icons a{
        display: none;
    }
    nav .menu-btn,
    .navbar .cancel-btn{
    display: block;
    }
    .home .text .text-two{
        font-size: 65px;
    }
    .home .text .text-three{
        font-size: 35px;  
    }
    .skills .skills-details{
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }
    .skills .skills-details .left{
        width: 90%;
    }
    .skills .skills-details .boxes{
        width: 90%;
        margin: 40px 0;
    }
    .project .boxes .box{
        width: 100%;
    }
    .contact .text{
        width: 100%;
    }
    .contact .contact-content .column{
        width: 100%;
        margin-bottom: 35px;
    }
}
@media (max-width: 560px)
{
    .home .text .text-two{
        font-size: 50px;
    }
    .home .text .text-three{
        font-size: 31px;  
    }
}